Subject: Distributed Multi-Protocol Lambda Switching (using OADM ring)

From: John Hopkins <[email-masked]>
Date: Fri, 5 Nov 1999 12:17:01 -0000

Hi Daniel,

I read your draft (http://www.ietf.org/internet-drafts/draft-awduche-mpls-te-optical-00.txt) with a lot of interest.

I had been considering a similar approach, but based on use of a ring of OADM devices and a common multi-protocol-lambda switch controller. The single switch controller would act as a common layer 3 peer for the routers/lsrs attached to the ring, whereas the OADMs would act in concert as a distributed lamda-switch. I attach a picture to illustrate an example of this (apologies for attaching the reduced resolution jpeg, but it would have taken all day to convert this to text).

 <> 
The motivation for use of OADMs (rather than OXC) is evolution from SONET/SDH ring structures, including re-use of installed fibre of course. However, the distributed OADM and OXC approaches are extremely complimentary I believe.
If there is in interest in IETF is proceeding with multi-protocol-lambda-switching work, then it could be very advantageous to develop the necessary lamda extensions to LDP/RSVP and to VSI / GSMP such that they could support both the OXC and OADM ring and mesh topologies.

These protocol extensions might have to take some factors into account to support the OADM case. e.g.

1. In both the OXC and OADM cases, the switch controller establishes a relation between an <input port, input label> tuple and an <output port, output label> tuple. However in the distributed lamda-switch (OADM) case, the notion of a port has also to be extended to consider the OADM node (station) number.
2. The OADMs and OADM switch controller would need to discover the OADM-ring topology (I believe some SONET ADMs already use an IS-IS protocol on the DCC in support of network management, software download capabilities, etc. so this need not be rocket science for the transmission network)
3. The Lambda-switch controller would need to control a number of devices (i.e. all the OADMs in the ring) rather than just one OXC. (again this should not be a problem for VSI / GSMP)
4. The OADM may not support all the features of an OXC (e.g. it may make sense to limit advanced or 'expensive' capabilities like wavelength conversion to the OXC, and the OADM may only be able to add/drop certain lambdas) so capability negotiation may be required (either between MPLS control plane and OADM/OXC switch controller or switch between OADM ring controller and OADM).

Naturally the wavelength allocation algorithm would need to be take into account the physical ring topology but this probably does not need any protocol support. And this feature would have to be enabled/disabled per lambda of course as some lamdas will be simply statically provisioned, or being used for non-IP traffic types.

If you are interested in supporting the distributed OADM-based multi-protcol lamda switch case (pre-supposing the IETF is interested in proceeding with mp-lambda-s of course), then we would be interested to participate.

Best wishes,
John

-------------
John Hopkins
Fujitsu
2 Longwalk Road, Stockley Park
Uxbridge, Middlesex. UB11 1AB.
UK.